<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<window>
    <id>5000</id>
    <defaultcontrol>2</defaultcontrol>
    <allowoverlay>yes</allowoverlay>
    <define>#header.label:#MyAlarm.Translation.Alarm.Label</define>
    <define>#header.image:sleepcontrol_logo.png</define>
    <define>#header.hover:-</define>
    <controls>
        <import>common.backgroundcolour.xml</import>
        <control>
            <id>1</id>
            <description>LayerTop</description>
            <type>image</type>
            <posX>0</posX>
            <posY>-50</posY>
            <width>1280</width>
            <height>225</height>
            <texture>Layer_top.png</texture>
            <animation effect="Slide" end="0,0" reversible="FALSE" start="0,50" time="400">Visible</animation>
        </control>
        <control>
            <id>1</id>
            <description>LayerBottom</description>
            <type>image</type>
            <posX>0</posX>
            <posY>495</posY>
            <width>1280</width>
            <height>275</height>
            <texture>Layer_bottom.png</texture>
            <animation effect="Slide" end="0,0" reversible="FALSE" start="0,-50" time="400">Visible</animation>
        </control>
        <control>
            <id>1</id>
            <description>Header Image</description>
            <type>image</type>
            <posX>601</posX>
            <posY>590</posY>
            <texture>#header.image</texture>
            <animation effect="Fade" time="250">WindowOpen</animation>
            <animation effect="Fade" time="250">WindowClose</animation>
            <animation effect="Zoom" end="100,100" start="20,20" time="600" tween="Elastic">WindowOpen</animation>
        </control>
        <import>common.time.xml</import>
        <control>
            <id>61</id>
            <description>CurrentAlarm.Enabled</description>
            <type>label</type>
            <visible>string.equals(#MyAlarm.SelectedAlarm.Enabled,True)</visible>
            <label> </label>
        </control>
        <control>
            <id>62</id>
            <description>CurrentAlarm.Recurring</description>
            <type>label</type>
            <visible>string.equals(#MyAlarm.SelectedAlarm.Recurring,True)</visible>
            <label> </label>
        </control>
        <control>
            <id>63</id>
            <description>CurrentAlarm.Selected</description>
            <type>label</type>
            <visible>!String.Contains(#MyAlarm.SelectedAlarm.Time.shorttime,MyAlarm.SelectedAlarm.Time.shorttime)+!String.Equals(#MyAlarm.SelectedAlarm.Time.shorttime,)+!String.Equals(#MyAlarm.SelectedAlarm.Time.shorttime, )+!String.Equals(#MyAlarm.SelectedAlarm.Time.shorttime,  )</visible>
            <label> </label>
        </control>
        <control>
            <id>64</id>
            <description>CurrentAlarm.Snoozed</description>
            <type>label</type>
            <visible>!String.Contains(#MyAlarm.SelectedAlarm.SnoozeAlarmTime.shorttime,MyAlarm.SelectedAlarm.SnoozeAlarmTime.shorttime)+!String.Equals(#MyAlarm.SelectedAlarm.SnoozeAlarmTime.shorttime,)+!String.Equals(#MyAlarm.SelectedAlarm.SnoozeAlarmTime.shorttime, )+!String.Equals(#MyAlarm.SelectedAlarm.SnoozeAlarmTime.shorttime,  )</visible>
            <label> </label>
        </control>
        <control>
            <description>action menu</description>
            <type>actiongroup</type>
            <dimColor>00ffffff</dimColor>
            <width>429</width>
            <height>606</height>
            <buttonX>0</buttonX>
            <buttonY>0</buttonY>
            <buttonwidth>106</buttonwidth>
            <buttonheight>720</buttonheight>
            <onexit>50</onexit>
            <defaultcontrol>3</defaultcontrol>
            <textureFocus>-</textureFocus>
            <textureNoFocus>-</textureNoFocus>
            <control>
                <type>image</type>
                <visible>!Control.HasFocus(50)</visible>
                <posX>425</posX>
                <posY>57</posY>
                <width>429</width>
                <height>606</height>
                <texture>Backslide.png</texture>
                <animation effect="Zoom" end="100,100" reversible="FALSE" start="10,10" time="400">Visible</animation>
                <animation effect="Zoom" end="1,1" reversible="FALSE" start="100,100" time="400">Hidden</animation>
                <colorDiffuse>fffffffff</colorDiffuse>
            </control>
            <control>
                <description>group element</description>
                <type>group</type>
                <visible>!Control.HasFocus(50)</visible>
                <posX>470</posX>
                <posY>185</posY>
                <layout>StackLayout</layout>
                <animation effect="Zoom" end="100,100" reversible="FALSE" start="10,10" time="400">Visible</animation>
                <animation effect="Zoom" end="1,1" reversible="FALSE" start="100,100" time="400">Hidden</animation>
                <textalign>center</textalign>
                <control>
                    <id>2</id>
                    <description>New button</description>
                    <type>button</type>
                    <onleft>50</onleft>
                    <onright>50</onright>
                    <onup>4</onup>
                    <ondown>4</ondown>
                    <label>#MyAlarm.Translation.NewAlarm.Label</label>
                </control>
                <control>
                    <id>4</id>
                    <description>Delete button</description>
                    <type>button</type>
                    <onleft>50</onleft>
                    <onright>50</onright>
                    <onup>2</onup>
                    <ondown>2</ondown>
                    <posX>60</posX>
                    <posY>97</posY>
                    <label>#MyAlarm.Translation.DeleteAlarm.Label</label>
                </control>
            </control>
        </control>
        <control>
            <description>enabled alarm</description>
            <type>label</type>
            <visible>Control.IsVisible(61)+!Control.IsVisible(64)+Control.IsVisible(63)</visible>
            <posX>70</posX>
            <posY>86</posY>
            <width>500</width>
            <font>font12</font>
            <textcolor>ffffffff</textcolor>
            <label>#MyAlarm.Translation.AlarmEnabled.Label</label>
        </control>
        <control>
            <description>enabled alarm</description>
            <type>label</type>
            <visible>Control.IsVisible(61)+Control.IsVisible(64)+Control.IsVisible(63)</visible>
            <posX>70</posX>
            <posY>86</posY>
            <width>500</width>
            <font>font12</font>
            <textcolor>ffffffff</textcolor>
            <label>#MyAlarm.Translation.AlarmEnabled.Label (#MyAlarm.Translation.SnoozeActive.Label @ #MyAlarm.SelectedAlarm.SnoozeAlarmTime.shorttime)</label>
        </control>
        <control>
            <description>disabled alarm</description>
            <type>label</type>
            <visible>!Control.IsVisible(61)+!Control.IsVisible(64)+Control.IsVisible(63)</visible>
            <posX>70</posX>
            <posY>86</posY>
            <width>500</width>
            <font>font12</font>
            <textcolor>90ffffff</textcolor>
            <label>#MyAlarm.Translation.AlarmDisabled.Label</label>
        </control>
        <control>
            <description>disabled alarm</description>
            <type>label</type>
            <visible>!Control.IsVisible(61)+Control.IsVisible(64)+Control.IsVisible(63)</visible>
            <posX>70</posX>
            <posY>86</posY>
            <width>500</width>
            <font>font12</font>
            <textcolor>90ffffff</textcolor>
            <label>#MyAlarm.Translation.AlarmDisabled.Label (#MyAlarm.Translation.SnoozeActive.Label @ #MyAlarm.SelectedAlarm.SnoozeAlarmTime.shorttime)</label>
        </control>
        <control>
            <description>Time</description>
            <type>label</type>
            <visible>Control.IsVisible(63)</visible>
            <posX>530</posX>
            <posY>30</posY>
            <width>200</width>
            <font>font14</font>
            <textcolor>90ffffff</textcolor>
            <align>RIGHT</align>
            <label>#MyAlarm.Translation.AlarmTime.Label</label>
        </control>
        <control>
            <description>alarm time</description>
            <type>label</type>
            <visible>Control.IsVisible(63)</visible>
            <posX>600</posX>
            <posY>30</posY>
            <width>60</width>
            <font>font14</font>
            <textcolor>90ffffff</textcolor>
            <align>RIGHT</align>
            <label>#MyAlarm.SelectedAlarm.Time.shorttime</label>
        </control>
        <control>
            <description>Date</description>
            <type>label</type>
            <visible>!Control.IsVisible(62)+Control.IsVisible(63)</visible>
            <posX>642</posX>
            <posY>130</posY>
            <font>font12</font>
            <textcolor>90ffffff</textcolor>
            <align>CENTER</align>
            <label>#MyAlarm.Translation.AlarmDate.Label</label>
        </control>
        <control>
            <description>alarm date</description>
            <type>label</type>
            <visible>!Control.IsVisible(62)+Control.IsVisible(63)</visible>
            <posX>642</posX>
            <posY>155</posY>
            <textcolor>ffffffff</textcolor>
            <align>CENTER</align>
            <label>#MyAlarm.SelectedAlarm.Time.shortdate</label>
        </control>
        <control>
            <description>Enabled Days</description>
            <type>label</type>
            <visible>Control.IsVisible(62)+Control.IsVisible(63)</visible>
            <posX>642</posX>
            <posY>130</posY>
            <font>font12</font>
            <textcolor>90ffffff</textcolor>
            <align>CENTER</align>
            <label>#MyAlarm.Translation.EnabledOnTheseDays.Label</label>
        </control>
        <control>
            <description>Monday</description>
            <type>label</type>
            <visible>Control.IsVisible(62)+Control.IsVisible(63)</visible>
            <posX>440</posX>
            <posY>142</posY>
            <label>#MyAlarm.SelectedAlarm.Mon.ShortLocalized</label>
        </control>
        <control>
            <description>Tuesday</description>
            <type>label</type>
            <visible>Control.IsVisible(62)+Control.IsVisible(63)</visible>
            <posX>505</posX>
            <posY>142</posY>
            <label>#MyAlarm.SelectedAlarm.Tue.ShortLocalized</label>
        </control>
        <control>
            <description>Wednesday</description>
            <type>label</type>
            <visible>Control.IsVisible(62)+Control.IsVisible(63)</visible>
            <posX>570</posX>
            <posY>142</posY>
            <label>#MyAlarm.SelectedAlarm.Wed.ShortLocalized</label>
        </control>
        <control>
            <description>Thursday</description>
            <type>label</type>
            <visible>Control.IsVisible(62)+Control.IsVisible(63)</visible>
            <posX>635</posX>
            <posY>142</posY>
            <label>#MyAlarm.SelectedAlarm.Thu.ShortLocalized</label>
        </control>
        <control>
            <description>Friday</description>
            <type>label</type>
            <visible>Control.IsVisible(62)+Control.IsVisible(63)</visible>
            <posX>700</posX>
            <posY>142</posY>
            <label>#MyAlarm.SelectedAlarm.Fri.ShortLocalized</label>
        </control>
        <control>
            <description>Saturday</description>
            <type>label</type>
            <visible>Control.IsVisible(62)+Control.IsVisible(63)</visible>
            <posX>765</posX>
            <posY>142</posY>
            <label>#MyAlarm.SelectedAlarm.Sat.ShortLocalized</label>
        </control>
        <control>
            <description>Sunday</description>
            <type>label</type>
            <visible>Control.IsVisible(62)+Control.IsVisible(63)</visible>
            <posX>830</posX>
            <posY>142</posY>
            <label>#MyAlarm.SelectedAlarm.Sun.ShortLocalized</label>
        </control>
        <control>
            <description>Media Type</description>
            <type>label</type>
            <visible>Control.IsVisible(63)</visible>
            <posX>632</posX>
            <posY>683</posY>
            <width>400</width>
            <font>font12</font>
            <textcolor>90ffffff</textcolor>
            <align>RIGHT</align>
            <label>#MyAlarm.SelectedAlarm.MediaType.localized</label>
        </control>
        <control>
            <id>0</id>
            <description>Media Type</description>
            <type>label</type>
            <visible>string.equals(#MyAlarm.SelectedAlarm.MediaType.id,File)+Control.IsVisible(63)</visible>
            <posX>648</posX>
            <posY>683</posY>
            <width>400</width>
            <font>font12</font>
            <label>#MyAlarm.SelectedAlarm.Sound</label>
        </control>
        <control>
            <id>0</id>
            <description>Media Type</description>
            <type>label</type>
            <visible>string.equals(#MyAlarm.SelectedAlarm.MediaType.id,Playlist)+Control.IsVisible(63)</visible>
            <posX>648</posX>
            <posY>683</posY>
            <width>400</width>
            <font>font12</font>
            <label>#MyAlarm.SelectedAlarm.Playlist</label>
        </control>
        <control>
            <id>0</id>
            <description>Media Type</description>
            <type>label</type>
            <visible>string.equals(#MyAlarm.SelectedAlarm.MediaType.id,Message)+Control.IsVisible(63)</visible>
            <posX>648</posX>
            <posY>683</posY>
            <width>400</width>
            <font>font12</font>
            <label>#MyAlarm.SelectedAlarm.Message</label>
        </control>
        <control>
            <description>group element</description>
            <type>group</type>
            <visible>!Control.HasFocus(50)</visible>
            <animation effect="Fade" time="250">WindowOpen</animation>
            <animation effect="Fade" time="250">WindowClose</animation>
            <control>
                <id>50</id>
                <description>composite control consisting of a list control and a thumbnail panel</description>
                <type>facadeview</type>
                <control>
                    <id>50</id>
                    <description>listcontrol</description>
                    <type>listcontrol</type>
                    <onleft>2</onleft>
                    <onright>2</onright>
                    <posX>472</posX>
                    <posY>220</posY>
                    <width>336</width>
                    <height>280</height>
                </control>
            </control>
        </control>
    </controls>
</window>
